package com.seatel.mobilehall.ui.yes_member.interactor

import com.android.volley.VolleyError
import org.json.JSONObject

interface RedeemRewardInteractor {

    interface View {
        fun responseRedeemRewardSucceed(rewardDetail: JSONObject)
        fun responseRedeemRewardFail(error: VolleyError)
    }


    interface Presenter {
        fun redeemReward(phoneNumber: String, reward: String, shop: String)
    }
}